# Ulož.to Rychle

Program na streamování a stahování obsahu z Ulož.to vysokou rychlostí.

## Instalace

### Captcha solver

Pro automatické řešení captchi používáme script `captcha.py`, pro nějž je potřeba nainstalovat Python a následující knihovny.

```sh
pip install requests tflite_runtime Pillow
```

Může se stát, že v nejnovější verzi Pythonu není **tflite_runtime** dostupný. Doporučujeme proto nainstalovat např. Python 3.9 a vytvořit spustitelný soubor pomocí programu **pyinstaller**.

```sh
pyinstaller captcha.py --onefile
```

### Instalce node modulů

Pro spuštění projektu je potřeba nainstalovat **Node.js** a následně potřebné knihovny pomocí tohoto příkazu.

```sh
npm i --save
```

### Nastavení Tor proxy

V konfiguračním souboru `/etc/tor/torrc` nastavte hodnoty `ControlPort`, `SocksPort` a `HashedControlPassword`.

```
SocksPort 9050
ControlPort 9051
HashedControlPassword 16:872230D6EA809D4760AD5894ADB7A5A07191882EBCD188378544794F8F
```

Hesla ke control portu je možno generovat následovně.

```
tor --hash-password giraffe
```